#include <signal.h>
#include <stdio.h>
#include <sys/time.h>

int myabort();
extern int time();
extern int setinterrupt();

csignal()
/*  It initializes the C signal system. */
{
 signal(SIGQUIT,myabort);
}

myabort()
{
 signal(SIGQUIT,myabort);
 setinterrupt();
}

initrand(seed)
int seed;
{ 
  int i;
  struct timeval tp;
  struct timezone tzp;
 
 gettimeofday(&tp, &tzp);
 srandom(tp.tv_sec ^ (tp.tv_usec << 17));
}

float thisrand()
{ double div;
  float k;
  long j;

 div = (65536 * 32768) - 1;
 j = random();
 k = j / div;
 return(k);
}

double gettime()
{
  struct timeval tp;
  struct timezone tzp;
  double  thetime;
  
 gettimeofday(&tp, &tzp);
 thetime =  tp.tv_sec + tp.tv_usec / 1000000.0;
 return(thetime); 

}
