(*-----------#pc-version-----------------------------------------------------*)

{$N+,E+,F+,O+}
(*
unit util;
interface
uses tt1,tt2,tt3,tt4,tt5;
*)
(*-----------#pc-version-----------------------------------------------------*)

    var lambda: real;

function tround(num:real):integer; external;
procedure loadcommand; external;
procedure myerror(message: inbuf; err: errortype; showpos: boolean);external;

function listposition(vertex: vertexnametype; insert: boolean;
		      var vertexnames: namearray; 
                      var wasinserted: boolean): vertextype; external;
procedure disposetreklist(var treks: treksptr; depth: integer); external;
procedure getknowledge; external;
procedure disposepathslist(var paths: pathsptr; depth: integer);external;

procedure execcommand(id: commands); external;
procedure inittreks; external;
procedure initinput(id: commandset; covchange: boolean); external;
procedure getnecessary(id: commands); external;

procedure tnewinsigcorr(var ptr: insigcorrptr; err: errortype);external;
procedure tnewedgenames(var ptr: edgenametype; err: errortype);external;
procedure tnewpriorcov(var ptr: priorarray; err: errortype); external;
procedure tnewpairtoint(var ptr: pairtointtype; err: errortype);external;
procedure tnewinttopair(var ptr: inttopairtype; err: errortype);external;
procedure tnewedgetovert(var ptr: edgetoverttype; err: errortype);external;
procedure tnewadj(var ptr: adjtype; err: errortype);external;
procedure tnewcov(var ptr: covarray; err: errortype);external;
procedure tnewpaths(var ptr: pathstype; err: errortype);external;
procedure tnewtreks(var ptr: trekstype; err: errortype);external;
procedure tnewudpaths(var ptr: udpathstype; err: errortype);external;
procedure disposeindeplist(var indep1: indepptr); external;
procedure tnewindep(var ptr: indepptr; err: errortype);external;
procedure calcorder;external;
